Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 63698 - [EBUILD] bbclone
Summary: [EBUILD] bbclone
Status: VERIFIED UPSTREAM
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: web-apps Herd
URL: http://bbclone.de
Whiteboard: [webapp-overlay]
Keywords: EBUILD, InOverlay
Depends on:
Blocks:
 
Reported: 2004-09-11 12:24 UTC by Christoph Brill (egore) (RESIGNED)
Modified: 2006-06-12 05:18 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
www-apps/bbclone-0.4.6 (bbclone-0.4.6.ebuild,676 bytes, text/plain)
2004-12-11 14:35 UTC, Christoph Brill (egore) (RESIGNED)
Details
postinstall-0.4.6-en.txt (postinstall-0.4.6-en.txt,284 bytes, text/plain)
2004-12-11 14:36 UTC, Christoph Brill (egore) (RESIGNED)
Details
www-apps/bbclone-0.4.6 (bbclone-0.4.6.ebuild,812 bytes, text/plain)
2004-12-12 01:11 UTC, Christoph Brill (egore) (RESIGNED)
Details
www-apps/bbclone-0.4.6a (bbclone-0.4.6a.ebuild,812 bytes, text/plain)
2004-12-15 14:33 UTC, Christoph Brill (egore) (RESIGNED)
Details
www-apps//bbclone-0.4.6a (bbclone-0.4.6a.ebuild,800 bytes, text/plain)
2004-12-26 02:32 UTC, Christoph Brill (egore) (RESIGNED)
Details
www-apps/bbclone-0.4.8 (bbclone-0.4.8.ebuild,800 bytes, text/plain)
2005-04-19 14:51 UTC, Christoph Brill (egore) (RESIGNED)
Details
bbclone-0.4.8b.ebuild (bbclone-0.4.8b.ebuild,793 bytes, text/plain)
2006-01-26 07:28 UTC, Rene Zbinden
Details
bbclone-0.4.8b.ebuild (bbclone-0.4.8b.ebuild,711 bytes, text/plain)
2006-01-26 13:10 UTC, Rene Zbinden
Details
bbclone-0.4.8b.ebuild (bbclone-0.4.8b.ebuild,799 bytes, text/plain)
2006-01-26 16:59 UTC, Lares Moreau
Details
postinstall-en.txt (postinstall-en.txt,158 bytes, text/plain)
2006-01-26 17:01 UTC, Lares Moreau
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Brill (egore) (RESIGNED) 2004-09-11 12:24:57 UTC
From their website:
BBclone is a web counter written in PHP and gives a detailed view of the visitors of your web site by displaying the nth last users (and the data they provided, like their IP, browser and so on) that visited the web site, not just showing a number of visitors. This is very handy for webmasters that want to see who is visiting their sites, what browser people use, where they came from etc.

Details
http://bbclone.de/features.php

Reproducible: Always
Steps to Reproduce:
1.
2.
3.
Comment 1 Christoph Brill (egore) (RESIGNED) 2004-12-11 14:35:20 UTC
Created attachment 45768 [details]
www-apps/bbclone-0.4.6

Ebuild for bbclone 0.4.6, works fine for me.

This is my first webapp ebuild, so be kind to me (most ideas/concepts of this
ebuild were taken from www-apps/phpwiki-1.3.10)
Comment 2 Christoph Brill (egore) (RESIGNED) 2004-12-11 14:36:23 UTC
Created attachment 45769 [details]
postinstall-0.4.6-en.txt

The postinst file (idea from phpwiki)
Comment 3 Christoph Brill (egore) (RESIGNED) 2004-12-11 15:07:19 UTC
Ok, I just found two issues:
a) The file downloaded is called download.php?get=bbclone-0.4.6.tar.gz instead of bbclone-0.4.6.tar.gz. I does not give any problem, but should be fixed easily (but how?)

b) the bbclone/var/* files need to be chmod a+rw. But that does not survive during webappconfig. Any hints?
Comment 4 Chris Williams 2004-12-11 20:31:54 UTC
The bbclone/var files almost certainly should *not* be writeable to everyone.   They will need to be writeable by the web server, and this can be arranged with the webapp_server_owned function on the var/* files.  The default state of affairs is that the files are owned by root and not writeable to anyone else.

AFAIK the only way to address the file name issue is to politely ask the bbclone site owner for a direct URL rather than the PHP-based system used now.
Comment 5 Christoph Brill (egore) (RESIGNED) 2004-12-12 01:11:33 UTC
Created attachment 45807 [details]
www-apps/bbclone-0.4.6

After I played with webapp_serverowned for about an hour(!) I'm finally getting
a result. This is a COMPLETELY working and tested ebuild for bbclone.

Maybe someone should point out, that webapp_serverowned doesn't do a recursive
job on already existing files (which made it my personal enemy ;) ).
Comment 6 Christoph Brill (egore) (RESIGNED) 2004-12-15 14:33:54 UTC
Created attachment 46080 [details]
www-apps/bbclone-0.4.6a

Bump to 0.4.6a (the same ebuild), tested with repoman

(Wow, webapp-config even is able to handle updates without killing the
statistics!)
Comment 7 Christoph Brill (egore) (RESIGNED) 2004-12-26 02:32:49 UTC
Created attachment 46892 [details]
www-apps//bbclone-0.4.6a

This one is portage ready. It has a better SRC_URI (thanks to Olliver
Wichmann!) and I think there are no more outstanding issues with it.

I also tested it on different machines (~x86 and x86) and it worked fine.

So: Please add it :D
Comment 8 Christoph Brill (egore) (RESIGNED) 2005-04-19 14:51:05 UTC
Created attachment 56708 [details]
www-apps/bbclone-0.4.8

Bumped.
Comment 9 Christoph Brill (egore) (RESIGNED) 2005-05-08 03:05:46 UTC
can anyone say why this isn't in portage? is there still something wrong with the ebuild? is there a lack of interest? is there a lack of maintainers?
Comment 10 Stuart Herbert (RETIRED) gentoo-dev 2005-05-30 03:07:34 UTC
It's a lack of maintainers.  We're really short-handed for webapps packages.  
There's currently a freeze on Gentoo recruitment, so we're not able to recruit 
new devs atm.
Comment 11 Renat Lumpau (RETIRED) gentoo-dev 2005-12-14 06:48:34 UTC
Hi,

bbclone is now in our unofficial overlay:
http://svn.gnqs.org/projects/gentoo-webapps-overlay/browser/experimental/www-apps/bbclone/

Please note that the overlay is unofficial, not a Gentoo project, and not
supported. It is intended to provide easier access to new web applications.
Comment 12 Rene Zbinden 2006-01-26 07:28:11 UTC
Created attachment 78169 [details]
bbclone-0.4.8b.ebuild

There was a bug in the ebuild. With 
for file in var/*; do
    webapp_serverowned "${MY_HTDOCSDIR}/${file}"
it is not possible to make hidden files server ownded. I added the following line after the for loop:
webapp_serverowned "${MY_HTDOCSDIR}/var/.htalock"

This file has to be server owned otherwise the app never works.

cheers
rene
Comment 13 Lares Moreau 2006-01-26 09:00:24 UTC
(In reply to comment #12)
> This file has to be server owned otherwise the app never works.

Fixed in overlay
Comment 14 Rene Zbinden 2006-01-26 13:10:42 UTC
Created attachment 78215 [details]
bbclone-0.4.8b.ebuild

replaced the block:
for file in var/*; do
	webapp_serverowned "${MY_HTDOCSDIR}/${file}"
done
webapp_serverowned "${MY_HTDOCSDIR}/var/.htalock"

with
webapp_serverowned -R "${MY_HTDOCSDIR}/var/"

This is more elegant and solves the previous problem.
Comment 15 Lares Moreau 2006-01-26 16:59:59 UTC
Created attachment 78243 [details]
bbclone-0.4.8b.ebuild
Comment 16 Lares Moreau 2006-01-26 17:01:54 UTC
Created attachment 78244 [details]
postinstall-en.txt
Comment 17 Lares Moreau 2006-01-26 17:03:17 UTC
(In reply to comment #14)
> webapp_serverowned -R "${MY_HTDOCSDIR}/var/"
> 
> This is more elegant and solves the previous problem.

Unfortunately this also opens a potential security hole.
there exits var/.htaccess, which should /never/ be serverowned.

I have attached bbclone-0.4.8b.ebuild and postinstall-en.txt as it in our subversion overlay, r126, for those who are not, for whatever reason, using the web-apps overlay available from out trac[1].  The most current version of bbclone will be in our overlay, until we move it over to the main portage tree.

If any bugs are encountered, please open a ticket via our trac.

 [1] http://svn.gnqs.org/projects/gentoo-webapps-overlay/wiki

-Lares
Comment 18 Rene Zbinden 2006-01-26 22:01:06 UTC
(In reply to comment #17)
> (In reply to comment #14)
> > webapp_serverowned -R "${MY_HTDOCSDIR}/var/"
> > 
> > This is more elegant and solves the previous problem.
> 
> Unfortunately this also opens a potential security hole.
> there exits var/.htaccess, which should /never/ be serverowned.
> 
> I have attached bbclone-0.4.8b.ebuild and postinstall-en.txt as it in our
> subversion overlay, r126, for those who are not, for whatever reason, using the
> web-apps overlay available from out trac[1].  The most current version of
> bbclone will be in our overlay, until we move it over to the main portage tree.
> 
> If any bugs are encountered, please open a ticket via our trac.
> 
>  [1] http://svn.gnqs.org/projects/gentoo-webapps-overlay/wiki
> 
> -Lares
> 
I was also thinking about the .htaccess file. Why not delete at all. I will test if the application really needs it.